-- 基础信息
base_info = {
	group_id = 247006020
}

-- DEFS_MISCS
local GroupId = 247006020
local point_id_list = {}
local MainGroupID = 247006001
local RegionID = 20001

--================================================================
--
-- 配置
--
--================================================================

-- 怪物
monsters = {
}

-- NPC
npcs = {
}

-- 装置
gadgets = {
}

-- 区域
regions = {
	{ config_id = 20001, shape = RegionShape.CUBIC, size = { x = 40.000, y = 25.000, z = 40.000 }, pos = { x = 79.948, y = 0.090, z = 399.987 } }
}

-- 触发器
triggers = {
	{ config_id = 1020001, name = "ENTER_REGION_20001", event = EventType.EVENT_ENTER_REGION, source = "", condition = "", action = "" }
}

-- 点位
points = {
	{ config_id = 20002, pos = { x = 93.319, y = 0.079, z = 399.596 }, rot = { x = 0.000, y = 271.890, z = 0.000 }, tag = 2 },
	{ config_id = 20003, pos = { x = 92.716, y = 0.079, z = 402.613 }, rot = { x = 0.000, y = 271.890, z = 0.000 }, tag = 2 },
	{ config_id = 20004, pos = { x = 92.627, y = 0.079, z = 396.390 }, rot = { x = 0.000, y = 271.890, z = 0.000 }, tag = 2 },
	{ config_id = 20005, pos = { x = 91.638, y = 0.079, z = 406.563 }, rot = { x = 0.000, y = 271.890, z = 0.000 }, tag = 2 },
	{ config_id = 20006, pos = { x = 90.727, y = 0.079, z = 392.513 }, rot = { x = 0.000, y = 271.890, z = 0.000 }, tag = 2 },
	{ config_id = 20007, pos = { x = 89.221, y = 0.079, z = 409.091 }, rot = { x = 0.000, y = 271.890, z = 0.000 }, tag = 2 },
	{ config_id = 20008, pos = { x = 88.586, y = 0.079, z = 389.346 }, rot = { x = 0.000, y = 271.890, z = 0.000 }, tag = 2 },
	{ config_id = 20009, pos = { x = 86.714, y = 0.079, z = 409.986 }, rot = { x = 0.000, y = 181.890, z = 0.000 }, tag = 2 },
	{ config_id = 20010, pos = { x = 85.683, y = 0.079, z = 389.329 }, rot = { x = 0.000, y = 1.890, z = 0.000 }, tag = 2 },
	{ config_id = 20011, pos = { x = 83.623, y = 0.079, z = 410.138 }, rot = { x = 0.000, y = 181.890, z = 0.000 }, tag = 2 },
	{ config_id = 20012, pos = { x = 92.005, y = 0.079, z = 399.570 }, rot = { x = 0.000, y = 271.890, z = 0.000 }, tag = 4 },
	{ config_id = 20013, pos = { x = 90.201, y = 0.079, z = 404.528 }, rot = { x = 0.000, y = 271.890, z = 0.000 }, tag = 4 },
	{ config_id = 20014, pos = { x = 90.047, y = 0.079, z = 394.578 }, rot = { x = 0.000, y = 271.890, z = 0.000 }, tag = 4 },
	{ config_id = 20015, pos = { x = 87.218, y = 0.079, z = 408.029 }, rot = { x = 0.000, y = 211.890, z = 0.000 }, tag = 4 },
	{ config_id = 20016, pos = { x = 85.619, y = 0.079, z = 390.535 }, rot = { x = 0.000, y = 1.890, z = 0.000 }, tag = 4 },
	{ config_id = 20017, pos = { x = 81.550, y = 0.079, z = 407.767 }, rot = { x = 0.000, y = 171.890, z = 0.000 }, tag = 4 },
	{ config_id = 20018, pos = { x = 79.726, y = 0.079, z = 391.319 }, rot = { x = 0.000, y = 1.890, z = 0.000 }, tag = 4 },
	{ config_id = 20019, pos = { x = 77.641, y = 0.079, z = 404.886 }, rot = { x = 0.000, y = 151.890, z = 0.000 }, tag = 4 },
	{ config_id = 20020, pos = { x = 76.500, y = 0.079, z = 394.847 }, rot = { x = 0.000, y = 31.890, z = 0.000 }, tag = 4 },
	{ config_id = 20021, pos = { x = 74.619, y = 0.079, z = 400.152 }, rot = { x = 0.000, y = 91.890, z = 0.000 }, tag = 4 },
	{ config_id = 20022, pos = { x = 92.677, y = 0.079, z = 409.568 }, rot = { x = 0.000, y = 271.890, z = 0.000 }, tag = 8 },
	{ config_id = 20023, pos = { x = 92.015, y = 0.079, z = 389.513 }, rot = { x = 0.000, y = 271.890, z = 0.000 }, tag = 8 },
	{ config_id = 20024, pos = { x = 73.662, y = 0.079, z = 410.196 }, rot = { x = 0.000, y = 91.890, z = 0.000 }, tag = 8 },
	{ config_id = 20025, pos = { x = 73.000, y = 0.079, z = 390.140 }, rot = { x = 0.000, y = 91.890, z = 0.000 }, tag = 8 },
	{ config_id = 20026, pos = { x = 92.620, y = 0.079, z = 407.835 }, rot = { x = 0.000, y = 271.890, z = 0.000 }, tag = 8 },
	{ config_id = 20027, pos = { x = 91.958, y = 0.079, z = 387.780 }, rot = { x = 0.000, y = 271.890, z = 0.000 }, tag = 8 },
	{ config_id = 20028, pos = { x = 73.604, y = 0.079, z = 408.463 }, rot = { x = 0.000, y = 91.890, z = 0.000 }, tag = 8 },
	{ config_id = 20029, pos = { x = 72.942, y = 0.079, z = 388.407 }, rot = { x = 0.000, y = 91.890, z = 0.000 }, tag = 8 },
	{ config_id = 20030, pos = { x = 92.765, y = 0.079, z = 412.249 }, rot = { x = 0.000, y = 271.890, z = 0.000 }, tag = 8 },
	{ config_id = 20031, pos = { x = 92.103, y = 0.079, z = 392.193 }, rot = { x = 0.000, y = 271.890, z = 0.000 }, tag = 8 },
	{ config_id = 20032, pos = { x = 73.750, y = 0.079, z = 412.877 }, rot = { x = 0.000, y = 91.890, z = 0.000 }, tag = 8 },
	{ config_id = 20033, pos = { x = 73.088, y = 0.079, z = 392.821 }, rot = { x = 0.000, y = 91.890, z = 0.000 }, tag = 8 },
	{ config_id = 20034, pos = { x = 86.399, y = 0.079, z = 400.951 }, rot = { x = 0.000, y = 271.890, z = 0.000 }, tag = 16 },
	{ config_id = 20035, pos = { x = 86.325, y = 0.079, z = 398.720 }, rot = { x = 0.000, y = 271.890, z = 0.000 }, tag = 16 },
	{ config_id = 20036, pos = { x = 86.462, y = 0.079, z = 402.863 }, rot = { x = 0.000, y = 271.890, z = 0.000 }, tag = 16 },
	{ config_id = 20037, pos = { x = 86.258, y = 0.079, z = 396.675 }, rot = { x = 0.000, y = 271.890, z = 0.000 }, tag = 16 },
	{ config_id = 20038, pos = { x = 86.524, y = 0.079, z = 404.734 }, rot = { x = 0.000, y = 271.890, z = 0.000 }, tag = 16 },
	{ config_id = 20039, pos = { x = 86.197, y = 0.079, z = 394.838 }, rot = { x = 0.000, y = 271.890, z = 0.000 }, tag = 16 },
	{ config_id = 20040, pos = { x = 84.096, y = 0.079, z = 403.058 }, rot = { x = 0.000, y = 271.890, z = 0.000 }, tag = 16 },
	{ config_id = 20041, pos = { x = 83.896, y = 0.079, z = 397.015 }, rot = { x = 0.000, y = 271.890, z = 0.000 }, tag = 16 },
	{ config_id = 20042, pos = { x = 83.955, y = 0.079, z = 398.798 }, rot = { x = 0.000, y = 271.890, z = 0.000 }, tag = 16 },
	{ config_id = 20043, pos = { x = 84.029, y = 0.079, z = 401.029 }, rot = { x = 0.000, y = 271.890, z = 0.000 }, tag = 16 },
	{ config_id = 20044, pos = { x = 86.735, y = 0.090, z = 399.937 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, tag = 32 }
}

-- 变量
variables = {
}

--================================================================
--
-- 初始化配置
--
--================================================================

-- 初始化时创建
init_config = {
	suite = 1,
	end_suite = 0,
	rand_suite = false
}

--================================================================
--
-- 小组配置
--
--================================================================

suites = {
	{
		-- suite_id = 1,
		-- description = ,
		monsters = { },
		gadgets = { },
		regions = { 20001 },
		triggers = { "ENTER_REGION_20001" },
		rand_weight = 100
	}
}

--================================================================
--
-- 触发器
--
--================================================================

require "V2_2/RogueDungeon_Require"
